=== extern/porcupine/demo/python/requirements.txt ===
pvporcupine==2.1.0
pvrecorder==1.0.2
