=== extern/porcupine/demo/tkinter/requirements.txt ===
pvporcupine==2.0.0
pvrecorder==1.0.2
