=== extern/rhino/demo/python/requirements.txt ===
pvrhino==2.1.0
pvrecorder==1.0.2
