=== debian/changelog ===
ros-noetic-picovoice-driver (1.0.1-1focal) focal; urgency=high

  * fix(deps): libsoundfile
  * Contributors: Rein Appeldoorn

 -- Rein Appeldoorn <reinzor@gmail.com>  Mon, 28 Mar 2022 22:00:00 -0000

ros-noetic-picovoice-driver (1.0.0-1focal) focal; urgency=high

  * feat: git submodules, pv_recorder, intent filter (#4 <https://github.com/reinzor/picovoice_ros/issues/4>)
  * feat: Use v2.1 api
  * Contributors: Rein Appeldoorn

 -- Rein Appeldoorn <reinzor@gmail.com>  Mon, 28 Mar 2022 22:00:00 -0000

ros-noetic-picovoice-driver (0.0.4-1focal) focal; urgency=high

  * Merge pull request #3 <https://github.com/reinzor/picovoice_ros/issues/3> from reinzor/fix/cmake-system-processor
    fix(cmake): Use CMAKE_SYSTEM_PROCESSOR
  * fix(cmake): Use CMAKE_SYSTEM_PROCESSOR
    Should fix the armhf build
  * Contributors: Rein Appeldoorn

 -- Rein Appeldoorn <reinzor@gmail.com>  Sun, 11 Apr 2021 22:00:00 -0000

ros-noetic-picovoice-driver (0.0.3-1focal) focal; urgency=high

  * chore: Remove trailing libs
  * Merge pull request #2 <https://github.com/reinzor/picovoice_ros/issues/2> from reinzor/feat/arm-build
    feat: ARM support
  * feat: ARM support
  * Contributors: Rein Appeldoorn

 -- Rein Appeldoorn <reinzor@gmail.com>  Mon, 05 Apr 2021 22:00:00 -0000

ros-noetic-picovoice-driver (0.0.2-1focal) focal; urgency=high

  * doc
  * Contributors: Rein Appeldoorn

 -- Rein Appeldoorn <reinzor@gmail.com>  Mon, 29 Mar 2021 22:00:00 -0000

ros-noetic-picovoice-driver (0.0.1-1focal) focal; urgency=high

  * Picovoice ROS packages
  * Contributors: Rein Appeldoorn

 -- Rein Appeldoorn <reinzor@gmail.com>  Mon, 29 Mar 2021 22:00:00 -0000
